找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 12852|回复: 28

[转贴]:VLAX类库

[复制链接]

已领礼包: 181个

财富等级: 日进斗金

发表于 2003-1-11 10:50:19 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有账号?立即注册

×
提供Lisp接口,增强VBA的开发功能。以下是调用前应注意的。

  1.   [FONT=courier new]
  2. AutoCAD 或 Visual LISP 启动时并没有自动加载 ActiveX 功能,所以,如果要使用 ActiveX,就必须确保已加载了 ActiveX。下述函数可以完成该任务:

  3. (vl-load-com)

  4. 如果没有加载 ActiveX 支持程序,那么运行 vl-load-com 可以初始化 AutoLISP ActiveX 环境。如果已加载 ActiveX,vl-load-com 将不做任何工作。
  5.   [/FONT]

  1.   [FONT=courier new]
  2. VERSION 1.0 CLASS
  3. BEGIN
  4.   MultiUse = -1  'True
  5. END
  6. Attribute VB_Name = "VLAX"
  7. Attribute VB_GlobalNameSpace = False
  8. Attribute VB_Creatable = False
  9. Attribute VB_PredeclaredId = False
  10. Attribute VB_Exposed = False
  11. ' VLAX.CLS v1.4 (Last updated 8/27/2001)
  12. ' Copyright 1999-2001 by Frank Oquendo
  13. '
  14. ' Permission to use, copy, modify, and distribute this software
  15. ' for any purpose and without fee is hereby granted, provided
  16. ' that the above copyright notice appears in all copies and
  17. ' that both that copyright notice and the limited warranty and
  18. ' restricted rights notice below appear in all supporting
  19. ' documentation.
  20. '
  21. ' FRANK OQUENDO (THE AUTHOR) PROVIDES THIS PROGRAM "AS IS" AND WITH
  22. ' ALL FAULTS. THE AUTHOR SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY
  23. ' OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  THE AUTHOR
  24. ' DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
  25. ' UNINTERRUPTED OR ERROR FREE.
  26. '
  27. ' Use, duplication, or disclosure by the U.S. Government is subject to
  28. ' restrictions set forth in FAR 52.227-19 (Commercial Computer
  29. ' Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
  30. ' (Rights in Technical Data and Computer Software), as applicable.
  31. '
  32. ' VLAX.cls allows developers to evaluate AutoLISP expressions from
  33. ' Visual Basic or VBA
  34. '
  35. ' Notes:
  36. ' All code for this class module is publicly available througout various posts
  37. ' at [url]news://discussion.autodesk.com/autodesk.autocad.customization.vba.[/url] I do not
  38. ' claim copyright or authorship on code presented in these posts, only on this
  39. ' compilation of that code. In addition, a great big "Thank you!" to Cyrille Fauvel
  40. ' demonstrating the use of the VisualLISP ActiveX Module.
  41. '
  42. ' Dependencies:
  43. ' Use of this class module requires the following application:
  44. ' 1. VisualLISP

  45. Private VL As Object
  46. Private VLF As Object

  47. Private Sub Class_Initialize()

  48.     Set VL = ThisDrawing.Application.GetInterfaceObject("VL.Application.1")
  49.     Set VLF = VL.ActiveDocument.Functions

  50. End Sub

  51. Private Sub Class_Terminate()

  52.     Set VLF = Nothing
  53.     Set VL = Nothing

  54. End Sub

  55. Public Function EvalLispExpression(lispStatement As String)

  56.     Dim sym As Object, ret As Object, retval
  57.    
  58.     Set sym = VLF.Item("read").funcall(lispStatement)
  59.     On Error Resume Next
  60.     retval = VLF.Item("eval").funcall(sym)
  61.     If Err Then
  62.         EvalLispExpression = ""
  63.     Else
  64.         EvalLispExpression = retval
  65.     End If

  66. End Function

  67. Public Sub SetLispSymbol(symbolName As String, value)

  68.     Dim sym As Object, ret, symValue
  69.    
  70.     symValue = value
  71.     Set sym = VLF.Item("read").funcall(symbolName)
  72.     ret = VLF.Item("set").funcall(sym, symValue)
  73.     EvalLispExpression "(defun translate-variant (data) (cond ((= (type data) 'list) (mapcar 'translate-variant data)) ((= (type data) 'variant)
  74. (translate-variant (vlax-variant-value data))) ((= (type data) 'safearray) (mapcar 'translate-variant (vlax-safearray->list data))) (t data)))"
  75.     EvalLispExpression "(setq " & symbolName & "(translate-variant " & symbolName & "))"
  76.     EvalLispExpression "(setq translate-variant nil)"

  77. End Sub

  78. Public Function GetLispSymbol(symbolName As String)

  79.     Dim sym As Object, ret, symValue
  80.    
  81.     symValue = value
  82.     Set sym = VLF.Item("read").funcall(symbolName)
  83.     GetLispSymbol = VLF.Item("eval").funcall(sym)

  84. End Function

  85. Public Function GetLispList(symbolName As String) As Variant

  86.    Dim sym As Object, list As Object
  87.    Dim Count, elements(), i As Long
  88.    
  89.    Set sym = VLF.Item("read").funcall(symbolName)
  90.    Set list = VLF.Item("eval").funcall(sym)
  91.    
  92.    Count = VLF.Item("length").funcall(list)
  93.    
  94.    ReDim elements(0 To Count - 1) As Variant
  95.    
  96.    For i = 0 To Count - 1
  97.         elements(i) = VLF.Item("nth").funcall(i, list)
  98.    Next
  99.    
  100.    GetLispList = elements
  101.    
  102. End Function

  103. Public Sub NullifySymbol(ParamArray symbolName())

  104.     Dim i As Integer
  105.    
  106.     For i = LBound(symbolName) To UBound(symbolName)
  107.         EvalLispExpression "(setq " & CStr(symbolName(i)) & " nil)"
  108.     Next

  109. End Sub

  110.   [/FONT]
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!

已领礼包: 181个

财富等级: 日进斗金

 楼主| 发表于 2003-1-11 10:53:21 | 显示全部楼层
下面的类库扩充了VBA处理曲线类对象的能力。

  1.   [FONT=courier new]
  2. VERSION 1.0 CLASS
  3. BEGIN
  4.   MultiUse = -1  'True
  5. END
  6. Attribute VB_Name = "Curve"
  7. Attribute VB_GlobalNameSpace = False
  8. Attribute VB_Creatable = False
  9. Attribute VB_PredeclaredId = False
  10. Attribute VB_Exposed = False
  11. ' Curve.cls v1.3 (Last updated 12/18/2001)
  12. ' Copyright 2000, 2001 by Frank Oquendo
  13. '
  14. ' Permission to use, copy, modify, and distribute this software
  15. ' for any purpose and without fee is hereby granted, provided
  16. ' that the above copyright notice appears in all copies and
  17. ' that both that copyright notice and the limited warranty and
  18. ' restricted rights notice below appear in all supporting
  19. ' documentation.
  20. '
  21. ' FRANK OQUENDO (THE AUTHOR) PROVIDES THIS PROGRAM "AS IS" AND WITH
  22. ' ALL FAULTS. THE AUTHOR SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY
  23. ' OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  THE AUTHOR
  24. ' DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
  25. ' UNINTERRUPTED OR ERROR FREE.
  26. '
  27. ' Use, duplication, or disclosure by the U.S. Government is subject to
  28. ' restrictions set forth in FAR 52.227-19 (Commercial Computer
  29. ' Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
  30. ' (Rights in Technical Data and Computer Software), as applicable.
  31. '
  32. ' Curve.cls allows developers to access the various VLAX-CURVE functions
  33. ' from Visual Basic or VBA.
  34. '
  35. ' Notes:
  36. ' I do not claim copyright or authorship of the code being wrapped by this module,
  37. ' only on this compilation of that code.
  38. '
  39. ' Dependencies:
  40. ' Use of this class module requires the following files:
  41. ' 1. VLAX.CLS - This file can be obtained by visiting [url]http://www.acadx.com[/url]

  42. Private objVLAX As VLAX
  43. Private mvarEntity As AcadEntity
  44. Private types(8) As String

  45. Private Sub Class_Initialize()

  46.     Set objVLAX = New VLAX
  47.     types(0) = "AcDbCircle": types(1) = "AcDbLine"
  48.     types(2) = "AcDbArc": types(3) = "AcDbSpline"
  49.     types(4) = "AcDb3dPolyline": types(5) = "AcDbPolyline"
  50.     types(6) = "AcDb2dPolyline": types(7) = "AcDbEllipse"
  51.     types(8) = "AcDbLeader"

  52. End Sub

  53. Private Sub Class_Terminate()

  54.     Set objVLAX = Nothing

  55. End Sub

  56. Public Property Set Entity(ent As AcadEntity)

  57.     Dim tmp As String, i As Long, bFound As Boolean
  58.    
  59.     tmp = ent.ObjectName
  60.    
  61.     For i = 0 To 8
  62.         If tmp = types(i) Then
  63.             Set mvarEntity = ent
  64.             bFound = True
  65.             Exit For
  66.         End If
  67.     Next
  68.    
  69.     If Not bFound Then Err.Raise vbObjectError + 1, , "That entity is not a curve."

  70. End Property

  71. Public Property Get Entity() As AcadEntity

  72.     Set entityt = mvarEntity

  73. End Property

  74. Public Property Get CurveType() As String

  75.     CurveType = mvarEntity.ObjectName

  76. End Property

  77. Public Property Get Area() As Double

  78.     Dim retval As Double
  79.    
  80.     With objVLAX
  81.         .SetLispSymbol "handle", mvarEntity.Handle
  82.         retval = .EvalLispExpression("(vlax-curve-getArea (handent handle))")
  83.         .NullifySymbol "handle"
  84.     End With
  85.     Area = retval

  86. End Property

  87. Public Property Get Closed() As Boolean

  88.     Dim retval As Boolean
  89.    
  90.     With objVLAX
  91.         .SetLispSymbol "handle", mvarEntity.Handle
  92.         retval = .EvalLispExpression("(vlax-curve-isClosed (handent handle))")
  93.         .NullifySymbol "handle"
  94.     End With
  95.     Closed = retval

  96. End Property

  97. Public Property Get EndParameter() As Double

  98.     Dim retval As Double
  99.    
  100.     With objVLAX
  101.         .SetLispSymbol "handle", mvarEntity.Handle
  102.         retval = .EvalLispExpression("(vlax-curve-getEndParam (handent handle))")
  103.         .NullifySymbol "handle"
  104.     End With
  105.     EndParameter = retval

  106. End Property

  107. Public Property Get EndPoint() As Variant

  108.     Dim retval As Variant, pt(0 To 2) As Double
  109.     Dim i As Long
  110.    
  111.     With objVLAX
  112.         .SetLispSymbol "handle", mvarEntity.Handle
  113.         .EvalLispExpression "(setq lst (vlax-curve-getEndPoint (handent handle)))"
  114.         retval = .GetLispList("lst")
  115.         .NullifySymbol "handle", "lst"
  116.     End With
  117.    
  118.     For i = 0 To 2
  119.         pt(i) = retval(i)
  120.     Next
  121.    
  122.     EndPoint = pt

  123. End Property

  124. Public Function GetClosestPointTo(Point, Optional Extend As Boolean = False) As Variant

  125.     Dim retval As Variant, pt(0 To 2) As Double
  126.     Dim i As Long
  127.    
  128.     With objVLAX
  129.         .SetLispSymbol "handle", mvarEntity.Handle
  130.         .SetLispSymbol "givenPt", Point
  131.         If Extend Then .EvalLispExpression "(setq ext T)"
  132.         .EvalLispExpression "(setq lst (vlax-curve-getClosestPointTo (handent handle) givenPt ext))"
  133.         retval = .GetLispList("lst")
  134.         .NullifySymbol "handle", "lst", "ext", "givenPt"
  135.     End With
  136.    
  137.     For i = 0 To 2
  138.         pt(i) = retval(i)
  139.     Next
  140.    
  141.     GetClosestPointTo = pt

  142. End Function

  143. Public Function GetDistanceAtParameter(Param As Double) As Double

  144.     Dim retval As Double
  145.    
  146.     With objVLAX
  147.         .SetLispSymbol "handle", mvarEntity.Handle
  148.         .SetLispSymbol "param", Param
  149.         retval = .EvalLispExpression("(vlax-curve-getDistAtParam (handent handle) param)")
  150.         .NullifySymbol "handle", "param"
  151.     End With
  152.     GetDistanceAtParameter = retval

  153. End Function

  154. Public Function GetDistanceAtPoint(Point As Variant) As Double

  155.     Dim retval As Double
  156.    
  157.     With objVLAX
  158.         .SetLispSymbol "handle", mvarEntity.Handle
  159.         .SetLispSymbol "point", Point
  160.         retval = .EvalLispExpression("(vlax-curve-getDistAtPoint (handent handle) point)")
  161.         .NullifySymbol "handle", "point"
  162.     End With
  163.     GetDistanceAtPoint = retval

  164. End Function

  165. Public Function GetFirstDerivative(Param As Double) As Variant

  166.     Dim retval As Variant
  167.    
  168.     With objVLAX
  169.         .SetLispSymbol "handle", mvarEntity.Handle
  170.         .SetLispSymbol "param", Param
  171.         .EvalLispExpression "(setq lst (vlax-curve-getFirstDeriv (handent handle) param))"
  172.         retval = .GetLispList("lst")
  173.         .NullifySymbol "handle", "param", "lst"
  174.     End With
  175.     GetFirstDerivative = retval

  176. End Function

  177. Public Function GetParameterAtDistance(Dist As Double) As Double

  178.     Dim retval As Double
  179.    
  180.     With objVLAX
  181.         .SetLispSymbol "handle", mvarEntity.Handle
  182.         .SetLispSymbol "dist", Dist
  183.         retval = .EvalLispExpression("(vlax-curve-getParamAtDist (handent handle) dist)")
  184.         .NullifySymbol "handle", "dist"
  185.     End With
  186.     GetParameterAtDistance = retval

  187. End Function

  188. Public Function GetParameterAtPoint(Point As Variant) As Double

  189.     Dim retval As Double
  190.    
  191.     With objVLAX
  192.         .SetLispSymbol "handle", mvarEntity.Handle
  193.         .SetLispSymbol "point", Point
  194.         retval = .EvalLispExpression("(vlax-curve-getparamAtPoint (handent handle) point)")
  195.         .NullifySymbol "handle", "point"
  196.     End With
  197.     GetParameterAtPoint = retval

  198. End Function

  199. Public Function GetPointAtDistance(Dist As Double) As Variant

  200.     Dim retval As Variant, pt(0 To 2) As Double
  201.     Dim i As Long
  202.    
  203.     With objVLAX
  204.         .SetLispSymbol "handle", mvarEntity.Handle
  205.         .SetLispSymbol "dist", Dist
  206.         .EvalLispExpression "(setq lst (vlax-curve-getPointAtDist (handent handle) dist))"
  207.         retval = .GetLispList("lst")
  208.         .NullifySymbol "handle", "dist", "lst"
  209.     End With
  210.    
  211.     For i = 0 To 2
  212.         pt(i) = retval(i)
  213.     Next
  214.    
  215.     GetPointAtDistance = pt

  216. End Function

  217. Public Function GetPointAtParameter(Param As Double) As Variant

  218.     Dim retval As Variant, pt(0 To 2) As Double
  219.     Dim i As Long
  220.    
  221.     With objVLAX
  222.         .SetLispSymbol "handle", mvarEntity.Handle
  223.         .SetLispSymbol "param", Param
  224.         .EvalLispExpression "(setq lst (vlax-curve-getPointAtParam (handent handle) param))"
  225.         retval = .GetLispList("lst")
  226.         .NullifySymbol "handle", "param", "lst"
  227.     End With
  228.    
  229.     For i = 0 To 2
  230.         pt(i) = retval(i)
  231.     Next
  232.    
  233.     GetPointAtParameter = pt

  234. End Function

  235. Public Function GetSecondDerivative(Param As Double) As Variant

  236.     Dim retval As Variant
  237.    
  238.     With objVLAX
  239.         .SetLispSymbol "handle", mvarEntity.Handle
  240.         .SetLispSymbol "param", Param
  241.         .EvalLispExpression "(setq lst (vlax-curve-getSecondDeriv (handent handle) param))"
  242.         retval = .GetLispList("lst")
  243.         .NullifySymbol "handle", "param", "lst"
  244.     End With
  245.     GetSecondDerivative = retval

  246. End Function

  247. Public Property Get length() As Double

  248.     Dim retval As Double
  249.    
  250.     With objVLAX
  251.         .SetLispSymbol "handle", mvarEntity.Handle
  252.         .EvalLispExpression "(setq curve (handent handle))"
  253.         retval = .EvalLispExpression("(vlax-curve-getDistAtParam curve (vlax-curve-getEndParam curve))")
  254.         .NullifySymbol "handle", "curve"
  255.     End With
  256.     length = retval

  257. End Property

  258. Public Property Get Periodic() As Boolean

  259.     Dim retval As Boolean
  260.    
  261.     With objVLAX
  262.         .SetLispSymbol "handle", mvarEntity.Handle
  263.         retval = .EvalLispExpression("(vlax-curve-isPeriodic (handent handle))")
  264.         .NullifySymbol "handle"
  265.     End With
  266.     Periodic = retval

  267. End Property

  268. Public Property Get Planar() As Boolean

  269.     Dim retval As Boolean
  270.    
  271.     With objVLAX
  272.         .SetLispSymbol "handle", mvarEntity.Handle
  273.         retval = .EvalLispExpression("(vlax-curve-isPlanar (handent handle))")
  274.         .NullifySymbol "handle"
  275.     End With
  276.     Planar = retval

  277. End Property

  278. Public Property Get StartPoint() As Variant

  279.     Dim retval As Variant, pt(0 To 2) As Double
  280.     dim As Long
  281.    
  282.     With objVLAX
  283.         .SetLispSymbol "handle", mvarEntity.Handle
  284.         .EvalLispExpression "(setq lst (vlax-curve-getStartPoint (handent handle)))"
  285.         retval = .GetLispList("lst")
  286.         .NullifySymbol "handle", "lst"
  287.     End With
  288.    
  289.     For i = 0 To 2
  290.         pt(i) = retval(i)
  291.     Next
  292.    
  293.     StartPoint = pt

  294. End Property

  295. Public Function GetClosestPointToProjection(Point As Variant, Normal As Variant, Optional Extend As Boolean = False) As Variant

  296.     Dim retval As Variant, pt(0 To 2) As Double
  297.     Dim i As Long
  298.    
  299.     With objVLAX
  300.         .SetLispSymbol "handle", mvarEntity.Handle
  301.         .SetLispSymbol "givenPt", Point
  302.         .SetLispSymbol "normal", Normal
  303.         If Extend Then .EvalLispExpression "(setq ext T)"
  304.         .EvalLispExpression "(setq lst (vlax-curve-getClosestPointToProjection (handent handle) givenPt normal ext))"
  305.         retval = .GetLispList("lst")
  306.         .NullifySymbol "handle", "lst", "normal", "ext", "givenPt"
  307.     End With
  308.    
  309.     For i = 0 To 2
  310.         pt(i) = retval(i)
  311.     Next
  312.    
  313.     GetClosestPointToProjection = pt

  314. End Function

  315.   [/FONT]
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 181个

财富等级: 日进斗金

 楼主| 发表于 2003-1-11 11:03:35 | 显示全部楼层
这个附件是用于vb.net的vlax类库,有兴趣的朋友可以研究一下。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2003-4-28 23:37:26 | 显示全部楼层
think you
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2003-6-1 20:47:40 | 显示全部楼层
如:
DIM OBJ AS VLAX
SET OBJ =NEW VLAX
在上一行时出错,何故?
另,
上述程序行
Attribute VB_Name = "VLAX"
VB并不支持
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2004-3-18 19:54:00 | 显示全部楼层
终于找到lisp和vba的交流方式了
SetLispSymbol( symbolName, value)
GetLispSymbol(symbolName)
还是容易出错,主要是lisp变量类型会变化,感觉要做个完美的GetLispSymbol比较困难
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2004-4-11 12:06:29 | 显示全部楼层
好东东,可惜我还不能下载。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2004-7-31 18:15:23 | 显示全部楼层
我很喜欢这个接口,万分感谢
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2004-8-3 11:38:21 | 显示全部楼层
好像兼容性不是很好,使用过程有不稳定的现象
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2004-8-3 17:59:56 | 显示全部楼层
好,有没有更详细的说明,acad帮助中有这个吗?
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2004-8-4 08:43:44 | 显示全部楼层
VB.Net不需vlax类库,vlax类是弥补VBA的缺陷的,可以看Lisp的帮助
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2004-8-7 10:45:47 | 显示全部楼层
最初由 efan2000 发布
[B]下面的类库扩充了VBA处理曲线类对象的能力。
[CODE]
  
VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Curve"
Attribute VB_GlobalNameSpace = False
Attri... [/B]


VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "VLAX"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
我搞不清这些东西是什么?所以我把他们注释掉了,可以使用,为什么??
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2004-8-13 13:24:09 | 显示全部楼层
很多机器上只有按照2002 vlax类不存在,怎么注册?
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2005-3-25 21:07:11 | 显示全部楼层
好象看来不错,下拉!
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2005-3-31 10:33:58 | 显示全部楼层
我的CAD2002,vlax类不存在,怎么注册? 哪里有下,谢谢!!
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-4-26 09:17 , Processed in 0.382768 second(s), 61 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表